Page MenuHomePhabricator

Special:Watchlist/edit is unpaginated, crashes browsers
Closed, DuplicatePublic

Description

Some people are saying that Special:Watchlist/edit crashes their browsers when they have thousands of pages watchlisted. Could we paginate this in some way?


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=39510

Details

Reference
bz20483

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:52 PM
bzimport set Reference to bz20483.

cndingar wrote:

I agree. I need this function.

see gerrit change 9979
it includes paging for edit watch list

Bug assigned to code submitter.

(In reply to comment #2)

see Gerrit change #9979
it includes paging for edit watch list

That's merged but last comment says the correct version is Gerrit change #17216.

This was merged and reverted (gerrit change 17163)
A new version with some fixes is in #17216 (not merged) and waiting for review (do you mind to review it and check for fatal errors? ;) )

Qgil added a subscriber: Qgil.Jan 12 2015, 12:31 PM

This was merged and reverted (gerrit change 17163)
A new version with some fixes is in #17216 (not merged) and waiting for review (do you mind to review it and check for fatal errors? ;) )

https://gerrit.wikimedia.org/r/#/c/17216/ was abandoned and work contined in https://gerrit.wikimedia.org/r/#/c/53964/ (merged) and https://gerrit.wikimedia.org/r/#/c/53968/ , which has a last patch uploaded on 2015-07-25 and currently inactive.

@eranroz, this is one of the oldest tasks assigned to someone. Looking at the huge amount of work you have invested on it, it would be great if you could complete it.

Qgil removed eranroz as the assignee of this task.Feb 14 2015, 3:49 PM
Qgil set Security to None.
Nemo_bis added a subscriber: brion.Feb 22 2015, 9:24 AM

it would be great if you could complete it.

AFAIK what's needed is code review. The assignee field was technically correct, but perhaps it's more useful to assign the bug to a code reviewer.

Of course watchlist has no maintainer, maybe Brion's magic wand can make one pop out? :)

Restricted Application added a project: Growth-Team. · View Herald TranscriptMay 28 2019, 3:37 PM

@kostajh will merge with duplicate.